# Interface methods for submodule: GrayscaleMorphologicalClosingImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import KernelImageFilterProxy as _KernelImageFilterProxy


# Interface methods for class: GrayscaleMorphologicalClosingImageFilter
class GrayscaleMorphologicalClosingImageFilterProxy(_KernelImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetKernel(self, kernel: FlatStructuringElement) -> None:
		""""""
		...

	def SetAlgorithm(self, algo) -> None:
		""""""
		...

	def GetAlgorithm(self):
		""""""
		...

	def Modified(self) -> None:
		""""""
		...

	def SetSafeBorder(self, _arg: bool) -> None:
		""""""
		...

	def GetSafeBorder(self) -> bool:
		""""""
		...

	def SafeBorderOn(self) -> None:
		""""""
		...

	def SafeBorderOff(self) -> None:
		""""""
		...

